glab(1)

NAME

glab-mr-checkout - Checkout to an open merge request

SYNOPSIS

glab mr checkout [ | ] [flags]

DESCRIPTION

Checkout to an open merge request

OPTIONS

-b, --branch=""
    checkout merge request with name

-u, --set-upstream-to=""
    set tracking of checked out branch to [REMOTE/]BRANCH

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab mr checkout 1
    glab mr checkout branch
    glab mr checkout 12 --branch todo-fix
    glab mr checkout new-feature --set-upstream-to=upstream/main
    glab mr checkout   # use checked out branch

SEE ALSO

glab-mr(1)